Update role assignment
curl --request PATCH \
--url https://api.gcore.com/cloud/v1/users/assignments/{assignment_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": 777,
"client_id": 8,
"project_id": null
}
'import requests
url = "https://api.gcore.com/cloud/v1/users/assignments/{assignment_id}"
payload = {
"user_id": 777,
"client_id": 8,
"project_id": None
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: 777, client_id: 8, project_id: null})
};
fetch('https://api.gcore.com/cloud/v1/users/assignments/{assignment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignment_id": 12
}User Role Assignments
Update role assignment
Modify an existing role assignment for a user.
PATCH
/
cloud
/
v1
/
users
/
assignments
/
{assignment_id}
Update role assignment
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Assignment ID
Example:
123
Body
application/json
User role
Available options:
ClientAdministrator, InternalNetworkOnlyUser, Observer, ProjectAdministrator, User Example:
"ClientAdministrator"
User ID
Example:
777
Client ID. Required if project_id is specified
Example:
8
Project ID
Example:
null
Response
200 - application/json
OK
Assignment ID
Example:
12
Was this page helpful?
⌘I